/***************************************************************************
                          kroutinginfo.cpp  -  description
                             -------------------
    begin                : Mon Mar 3 2003
    copyright            : (C) 2003 by Juan Luis Baptiste
    email                : juancho@linuxmail.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kroutinginfo.h"

KRoutingInfo::KRoutingInfo(){
}
KRoutingInfo::~KRoutingInfo(){
}
TQString KRoutingInfo::isNetworkingEnabled(){
  return networking;
}
TQString KRoutingInfo::isForwardIPv4Enabled(){
  return forwardIPv4;
}
TQString KRoutingInfo::getHostName(){
  return hostName;
}
TQString KRoutingInfo::getDomainName(){
  return domainName;
}
TQString KRoutingInfo::getGateway(){
  return gateway;
}
TQString KRoutingInfo::getGatewayDevice(){
  return gatewayDevice;
}
void KRoutingInfo::setNetworkingEnabled(const TQString &networking){
  KRoutingInfo::networking = networking;
}
void KRoutingInfo::setForwardIPv4Enabled(const TQString &forwardIPv4){
  KRoutingInfo::forwardIPv4 = forwardIPv4;
}
void KRoutingInfo::setHostName(const TQString &hostName){
  KRoutingInfo::hostName = hostName;
}
void KRoutingInfo::setDomainName(const TQString &domainName){
  KRoutingInfo::domainName = domainName;
}
void KRoutingInfo::setGateway(const TQString &gateway){
  KRoutingInfo::gateway = gateway;
}
void KRoutingInfo::setGatewayDevice(const TQString &gatewayDevice){
  KRoutingInfo::gatewayDevice = gatewayDevice;
}

